/// <reference types="node" />
import type { Buffer } from 'node:buffer';
export declare class CollapsifyError extends Error {
}
export type Response = {
    getStatusCode(): number;
    getContentType(): string;
    getAsString(): Promise<string>;
    getAsArray(): Promise<Buffer>;
};
export type Fetch = (url: string) => Promise<Response>;
export type CollapsifyOptions = {
    resourceLocation: string;
    fetch: Fetch;
};
export default function collapsify(options: CollapsifyOptions): Promise<string>;
export { type SimpleOptions, simpleCollapsify } from './simple.js';
