import httpClient from './utils/httpclient.js';
import collapseHTML, { CollapsifyError } from './collapsify.js';
export async function simpleCollapsify(resourceLocation, options) {
    const fetch = httpClient(options?.headers);
    options = Object.assign({
        forbidden: 'a^',
    }, options);
    async function read(url) {
        const re = new RegExp(options.forbidden, 'i');
        if (re.test(url)) {
            throw new CollapsifyError('Forbidden resource ' + url);
        }
        return fetch(url);
    }
    return collapseHTML({
        fetch: read,
        resourceLocation,
    });
}
